umount.davfs(8)

NAME
umount.davfs - Umount-helper to unmount a davfs2 file system

SYNOPSIS
umount.davfs [-h | --help] [-V | --version]
umount dir

SYNOPSIS (root only)
umount.davfs dir

DESCRIPTION
umount.davfs is a umount helper program. It is called by the umount(8) command. Its purpose is to prevent the umount command from returning unless mount.davfs has synchronized all its cached files with the webdav server.

dir is the mountpoint where the WebDAV resource is mounted on. It may be an absolute or relative path.

While for local file systems umount(8) will only return when all cached data have been written to disk, this is not automatically true for a mounted davfs2 file system. With this umount helper the user can rely on the familiar behaviour of umount(8). To inform the operating system that the file system uses a network connection, you should always use the _netdev option, when mounting as davfs2 file system.

Depending on the amount of data and the quality of the connection, unmounting a davfs2 file system may take some seconds up to some hours.

If the mount.davfs daemon encountered serious errors, umount.davfs may return an error instead of unmounting the file system. In this case try umount -i. The -i option will prevent umount(8) from calling umount.davfs.

OPTIONS

-V --version
    Output version.

-h --help
    Print a help message.

-f -l -n -r -v -t
    This options are ignored. They are only recognized for compatibility with umount(8).

FILES

/var/run/mount.davfs
    PID-files of running umount.davfs processes are looked up here.

BUGS
No known bugs.

AUTHORS
This man page was written by Werner Baumann <werner.baumann@onlinehome.de>.

DAVFS2 HOME
http://savannah.nongnu.org/projects/davfs2

SEE ALSO
mount.davfs(8), umount(8), davfs2.conf(5), fstab(5)